package com.fs.oms.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 物流管理对象 oms_logistics
 *
 * @author oms
 * @date 2023-07-07
 */
public class OmsLogistics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 运单号 */
    @Excel(name = "运单号")
    private String logisticsNo;

    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String logisticsBusinessid;

    /** 物流公司 */
    @Excel(name = "物流公司")
    private String logisticsBusinessName;

    /** 物流运费 */
    @Excel(name = "物流运费")
    private BigDecimal logisticsAmount;

    /** 物流状态 */
    @Excel(name = "物流状态")
    private Integer logisticsStatus;

    /** 物流代收结算状态 */
    @Excel(name = "物流代收结算状态")
    private Integer logisticsPayStatus;

    /** 发货类型 */
    @Excel(name = "发货类型")
    private String logisticsType;

    /** 业务类型   1:订单物流   2:采购单物流  3售后物流  4售后退回物流 */
    @Excel(name = "业务类型   1:订单物流   2:采购单物流  3售后物流  4售后退回物流")
    private Long businessType;

    /** 快递帐单日期 */
    @Excel(name = "快递帐单日期")
    private String logisticsTime;

    /** 快递结算日期 */
    @Excel(name = "快递结算日期")
    private String logisticsPayTime;

    /** 收件人姓名 */
    @Excel(name = "收件人姓名")
    private String userName;

    /** 收件人手机 */
    @Excel(name = "收件人手机")
    private String userPhone;

    /** 收件人地址 */
    @Excel(name = "收件人地址")
    private String userAddress;

    /** 买家备注 */
    @Excel(name = "买家备注")
    private String userRemark;

    /** 客服备注 */
    @Excel(name = "客服备注")
    private String serviceRemark;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLogisticsNo(String logisticsNo)
    {
        this.logisticsNo = logisticsNo;
    }

    public String getLogisticsNo()
    {
        return logisticsNo;
    }
    public void setLogisticsBusinessid(String logisticsBusinessid)
    {
        this.logisticsBusinessid = logisticsBusinessid;
    }

    public String getLogisticsBusinessid()
    {
        return logisticsBusinessid;
    }
    public void setLogisticsBusinessName(String logisticsBusinessName)
    {
        this.logisticsBusinessName = logisticsBusinessName;
    }

    public String getLogisticsBusinessName()
    {
        return logisticsBusinessName;
    }
    public void setLogisticsAmount(BigDecimal logisticsAmount)
    {
        this.logisticsAmount = logisticsAmount;
    }

    public BigDecimal getLogisticsAmount()
    {
        return logisticsAmount;
    }
    public void setLogisticsStatus(Integer logisticsStatus)
    {
        this.logisticsStatus = logisticsStatus;
    }

    public Integer getLogisticsStatus()
    {
        return logisticsStatus;
    }
    public void setLogisticsPayStatus(Integer logisticsPayStatus)
    {
        this.logisticsPayStatus = logisticsPayStatus;
    }

    public Integer getLogisticsPayStatus()
    {
        return logisticsPayStatus;
    }
    public void setLogisticsType(String logisticsType)
    {
        this.logisticsType = logisticsType;
    }

    public String getLogisticsType()
    {
        return logisticsType;
    }
    public void setBusinessType(Long businessType)
    {
        this.businessType = businessType;
    }

    public Long getBusinessType()
    {
        return businessType;
    }
    public void setLogisticsTime(String logisticsTime)
    {
        this.logisticsTime = logisticsTime;
    }

    public String getLogisticsTime()
    {
        return logisticsTime;
    }
    public void setLogisticsPayTime(String logisticsPayTime)
    {
        this.logisticsPayTime = logisticsPayTime;
    }

    public String getLogisticsPayTime()
    {
        return logisticsPayTime;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUserPhone(String userPhone)
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone()
    {
        return userPhone;
    }
    public void setUserAddress(String userAddress)
    {
        this.userAddress = userAddress;
    }

    public String getUserAddress()
    {
        return userAddress;
    }
    public void setUserRemark(String userRemark)
    {
        this.userRemark = userRemark;
    }

    public String getUserRemark()
    {
        return userRemark;
    }
    public void setServiceRemark(String serviceRemark)
    {
        this.serviceRemark = serviceRemark;
    }

    public String getServiceRemark()
    {
        return serviceRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("logisticsNo", getLogisticsNo())
            .append("logisticsBusinessid", getLogisticsBusinessid())
            .append("logisticsBusinessName", getLogisticsBusinessName())
            .append("logisticsAmount", getLogisticsAmount())
            .append("logisticsStatus", getLogisticsStatus())
            .append("logisticsPayStatus", getLogisticsPayStatus())
            .append("logisticsType", getLogisticsType())
            .append("businessType", getBusinessType())
            .append("logisticsTime", getLogisticsTime())
            .append("logisticsPayTime", getLogisticsPayTime())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("userAddress", getUserAddress())
            .append("userRemark", getUserRemark())
            .append("serviceRemark", getServiceRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
